Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.avaloncomponent
Class TurbineAvalonComponentServiceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.services.avaloncomponent.TurbineAvalonComponentServiceTest

All Implemented Interfaces:
  junit.framework.Test

    public class TurbineAvalonComponentServiceTest

extends BaseTestCase

Simple test to make sure that the AvalonComponentService can be initialized.

Version:
  $Id: TurbineAvalonComponentServiceTest.java 731294 2009-01-04 16:39:38Z tv $
Author:
  Quinton McCombs

Constructor Summary
`TurbineAvalonComponentServiceTest(String name)` Initialize the unit test.

Method Summary
`void` | `testGetAndUseTestComponent()` Use the service to get an instance of the TestComponent.

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TurbineAvalonComponentServiceTest

    public TurbineAvalonComponentServiceTest(String name)
                                      throws Exception

  Initialize the unit test. The AvalonComponentService will be configured and initialized.

  Parameters:
    `name` -
  Throws:
    `Exception`

Method Detail

### testGetAndUseTestComponent

    public void testGetAndUseTestComponent()

  Use the service to get an instance of the TestComponent. The test() method will be called to simply write a log message. The component will then be released.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.